processing.app.syntax

## Class PdeKeywords

- Object
- - TokenMarker
  - - PdeKeywords

-     public class PdeKeywords
      extends TokenMarker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdeKeywords()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColoring(String keyword, String coloring)` Add a keyword, and the associated coloring.
    `byte` | `markTokensImpl(byte token, Segment line, int lineIndex)` An abstract method that splits a line up into tokens.

    - ### Methods inherited from class TokenMarker

      `deleteLines, getLineCount, insertLines, isNextLineRequested, markTokens, supportsMultilineTokens`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdeKeywords

          public PdeKeywords()

  - ### Method Detail

    - #### addColoring

          public void addColoring(String keyword,
                                  String coloring)

      Add a keyword, and the associated coloring. KEYWORD2 and KEYWORD3 should only be used with functions (where parens are present). This is done for the extra paren handling.
      Specified by:
        `addColoring` in class `TokenMarker`
      Parameters:
        `coloring` - one of KEYWORD1, KEYWORD2, LITERAL1, etc.

    - #### markTokensImpl

          public byte markTokensImpl(byte token,
                                     Segment line,
                                     int lineIndex)

      Description copied from class: `TokenMarker`
      An abstract method that splits a line up into tokens. It should parse the line, and call `addToken()` to add syntax tokens to the token list. Then, it should return the initial token type for the next line.

      For example if the current line contains the start of a multiline comment that doesn't end on that line, this method should return the comment token type so that it continues on the next line.

      Parameters:
        `token` - The initial token type for this line
        `line` - The line to be tokenized
        `lineIndex` - The index of the line in the document, starting at 0
      Returns:
        The initial token type for the next line